Get Platform Usage Summary

Get Platform Usage Summary
Get platform usage summary

This endpoint retrieves a high-level summary of usage across the entire Cloud Foundry installation.

Request
URI
GET
https://api.example.local/v3/info/usage_summary
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "usage_summary": {
        "started_instances": 0,
        "memory_in_mb": 0,
        "routes": 0,
        "service_instances": 0,
        "reserved_ports": 0,
        "domains": 0,
        "per_app_tasks": 0,
        "service_keys": 0
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        }
    }
}
object
usage_summary
Optional

Usage summary

object
links
Optional

Links to related resources


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/info/usage_summary